%define upstream_name    Number-WithError
%define upstream_version 1.01

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Numbers with error propagation and scientific rounding
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Number/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Math::BigFloat)
BuildRequires: perl(Params::Util)
BuildRequires: perl(Test::LectroTest)
BuildRequires: perl(Test::More)
BuildRequires: perl(prefork)
BuildArch: noarch

%description
This class is a container class for numbers with a number of associated
symmetric and asymmetric errors. It overloads practically all common
arithmetic operations and trigonometric functions to propagate the errors.
It can do proper scientific rounding (as explained in more detail below in
the documentation of the 'significant_digit()' method).

You can use the Math::BigFloat manpage objects as the internal
representation of numbers in order to support arbitrary precision
calculations.

Errors are propagated using Gaussian error propagation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.10.0-5.mga10
+ Revision: 2208596
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 1.10.0-4.mga9
+ Revision: 1818967
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.10.0-3.mga8
+ Revision: 1505734
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.10.0-2.mga7
+ Revision: 1285444
- Mageia 7 Mass Rebuild

* Thu Jul 12 2018 tv <tv> 1.10.0-1.mga7
+ Revision: 1243240
- BR inc::Module::Install
- imported package perl-Number-WithError


* Thu Jul 12 2018 Thierry Vignaud <tv@mageia.org> 1.10.0-1.mga7
- initial mageia release, generated with cpan2dist
